summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorWim <wim@42.be>2017-07-16 21:32:41 +0200
committerWim <wim@42.be>2017-07-16 21:32:41 +0200
commit15296cd8b48072d1bfbeb9651cdc643740b551b5 (patch)
tree6daf8be4fc2d3e96665293056a8565453832ab75 /ci
parent717023245f3a22dad6099f86c6b2a058005314fc (diff)
downloadmatterbridge-msglm-15296cd8b48072d1bfbeb9651cdc643740b551b5.tar.gz
matterbridge-msglm-15296cd8b48072d1bfbeb9651cdc643740b551b5.tar.bz2
matterbridge-msglm-15296cd8b48072d1bfbeb9651cdc643740b551b5.zip
Try travis bintray integration (3)
Diffstat (limited to 'ci')
-rwxr-xr-xci/bintray.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/ci/bintray.sh b/ci/bintray.sh
index 0d3efa6e..4e43ef3d 100755
--- a/ci/bintray.sh
+++ b/ci/bintray.sh
@@ -1,7 +1,10 @@
#!/bin/bash
+go version |grep go1.8 || exit
VERSION=$(git describe --tags)
mkdir ci/binaries
-go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-$GOOS-$GOARCH
+GOOS=windows GOARCH=amd64 go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-win64.exe
+GOOS=linux GOARCH=amd64 go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-linux64
+GOOS=linux GOARCH=arm go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-linux-arm
cd ci
cat > deploy.json <<EOF
{
@@ -11,7 +14,7 @@ cat > deploy.json <<EOF
"subject": "42wim"
},
"version": {
- "name": "$VERSION-$GOOS-$GOARCH"
+ "name": "$VERSION"
},
"files":
[